#pragma once

#include "events.h"

#include <SDL2/SDL.h>

#include <queue>

class View {
public:
  View(SDL_Renderer* renderer);
  virtual ~View();

  virtual void draw() = 0;
  virtual void handle_events(std::queue<Event>& events) = 0;

protected:
  SDL_Renderer* renderer;
};